Subject: [PATCH] arm64: Get rid of struct cpu_table

From: [email-masked] (Catalin Marinas)
Date: Fri, 13 Mar 2015 14:14:28 +0000

On Fri, Mar 13, 2015 at 02:33:27PM +0100, Ard Biesheuvel wrote:
> On 13 March 2015 at 13:02, Marc Zyngier <[email-masked]> wrote:
> > struct cpu_table is an artifact left from the (very) early days of
> > the arm64 port, and its only real use is to allow the most beautiful
> > "AArch64 Processor" string to be displayed at boot time.
> 
> Heh, I looked at that code and assumed it was there for a reason.
> Apparently not :-)

There's a very good reason _not_ to be there: it encourages people to
add implementation specific tweaks to the early kernel boot code. These
must be done in firmware or boot-loader.

-- 
Catalin